#
# "syslog" like log interface for multilog
#

# $Id: multilog.rb,v 1.2 2001/09/03 05:03:39 elca Exp $

class MultiLog

  def initialize()
    @loglock = nil
  end

  def open()
    if @loglock != nil
      raise RuntimeError
    end

    @loglock = Mutex::new
  end

  def log(str)
    @loglock.synchronize do
      $stdout.print(str + "\n")
      $stdout.flush
    end
  end

  def close()
    @loglock = nil
  end

  def opened?()
    if @loglock != nil
      return true
    else
      return false
    end
  end

  def nullcmd()
  end

  alias crit    log
  alias reopen  nullcmd
  alias setmask nullcmd

end

# end
